#include "io.h"
#include <iostream>
#include <iomanip>
void add_two_numbers()
{
    int a{read_number()};
    int b{read_number()};
    write_answer(a + b);
}
int read_number()
{
    std::cout << "Enter a number to add: ";
    int x{};
    std::cin >> x;
    return x;
}
void write_answer(int x)
{
    std::cout << "The answer is: " << x << "\n";
}
void convert_char_to_ascii()
{
    std::cout << "Enter a single character: ";
    char c{};
    std::cin >> c;
    std::cout << "You entered '" << c << "', which hass ASCII code " << static_cast<int>(c) << ".";
}

void print_type_size_bytes()
{
    std::cout << std::left; // left justify output
    std::cout << std::setw(16) << "bool:" << sizeof(bool) << " bytes\n";
    std::cout << std::setw(16) << "char:" << sizeof(char) << " bytes\n";
    std::cout << std::setw(16) << "short:" << sizeof(short) << " bytes\n";
    std::cout << std::setw(16) << "int:" << sizeof(int) << " bytes\n";
    std::cout << std::setw(16) << "long:" << sizeof(long) << " bytes\n";
    std::cout << std::setw(16) << "long long:" << sizeof(long long) << " bytes\n";
    std::cout << std::setw(16) << "float:" << sizeof(float) << " bytes\n";
    std::cout << std::setw(16) << "double:" << sizeof(double) << " bytes\n";
    std::cout << std::setw(16) << "long double:" << sizeof(long double) << " bytes\n\n";
}
void bubble_sort_print_demo()
{
    int demo[]{11, 14, 3, 18, 8, 17, 43, 6, 5, 4};
    double demo2[]{11.2, 14.3, 3.2, 18.6, 8.7, 17.9, 43.3, 12.3};
    std::string demo3[]{"hallo", "velo", "kekw", "imagin"};
    bubble_sort_print(sizeof(demo) / sizeof(demo[0]), demo);
    bubble_sort_print(sizeof(demo2) / sizeof(demo2[0]), demo2);
    bubble_sort_print(sizeof(demo3) / sizeof(demo3[0]), demo3);
}